### Signal

# Gtk CellRendererCombo::changed

#### Declaration

    void
    changed (
      GtkCellRendererCombo* self,
      gchar* path_string,
      GtkTreeIter* new_iter,
      gpointer user_data
    )

#### Description [src]

This signal is emitted each time after the user selected an item in the combo box, either by using the mouse or the arrow keys. Contrary to GtkComboBox, GtkCellRendererCombo::changed is not emitted for changes made to a selected item in the entry. The argument `new_iter` corresponds to the newly selected item in the combo box and it is relative to the GtkTreeModel set via the model property on GtkCellRendererCombo.

Note that as soon as you change the model displayed in the tree view, the tree view will immediately cease the editing operating. This means that you most probably want to refrain from changing the model until the combo cell renderer emits the edited or editing_canceled signal.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`path_string`

  Type: `gchar*`

  A string of the path identifying the edited cell (relative to the tree view model)

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`new_iter`

  Type: `GtkTreeIter`

  The new iter selected in the combo box (relative to the combo box model)

  The data is owned by the caller of the function.